clang 8.0.0

Namespaces | Functions
WhitespaceManager.cpp File Reference

This file implements WhitespaceManager class. More...

`#include "WhitespaceManager.h"`
`#include "llvm/ADT/STLExtras.h"`
Include dependency graph for WhitespaceManager.cpp:

Go to the source code of this file.

## Namespaces
| clang
| Dataflow Directional Tag Classes.
| clang::format

## Functions
template<typename F >
static void | clang::format::AlignTokenSequence (unsigned Start, unsigned End, unsigned Column, F &&Matches, SmallVector< WhitespaceManager::Change, 16 > &Changes)
template<typename F >
static unsigned | clang::format::AlignTokens (const FormatStyle &Style, F &&Matches, SmallVector< WhitespaceManager::Change, 16 > &Changes, unsigned StartAt)

## Detailed Description

This file implements WhitespaceManager class.

Definition in file WhitespaceManager.cpp.